同时使用 jpush-react-native 和 react-native-jmessage 报错



  • 使用了极光官方的推送jpush-react-native,这两个包都使用了jcore,程序无法运行...

    环境:
    "react": "16.0.0-alpha.12",
    "react-native": "0.45.1",
    "jpush-react-native": "^1.6.0",
    "react-native-jmessage": "^0.2.1",

    去掉其中jpush-react-native 依赖的 jcore-react-native后,
    ios报错如下:
    error: /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/libtool: can't locate file for: -ljcore-ios
    error: /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/libtool: file: -ljcore-ios is not an object file (not allowed in a library)

    android:
    打包后闪退

    求指教


Log in to reply